package application;
	
import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;


public class Main extends Application {
	private CirclePane circlePane = new CirclePane();
	private Button btEnlarge, btShrink;
	private HBox controlPane;
	@Override
	public void start(Stage primaryStage) {
		BorderPane primaryPane = new BorderPane();
		controlPane = new HBox(8);
		controlPane.setAlignment(Pos.CENTER);
		
		btEnlarge = new Button("Enlarge");
		btShrink = new Button("Shrink");
		
		EventHandler<ActionEvent> handler = e -> {
			if(e.getSource() == btEnlarge)
				circlePane.enlarge();
			else
				circlePane.shrink();
		};
		
		btEnlarge.setOnAction(handler);
		btShrink.setOnAction(handler);
		
		controlPane.getChildren().addAll(btEnlarge, btShrink);
		
		primaryPane.setCenter(circlePane);
		primaryPane.setBottom(controlPane);
		
		Scene scene = new Scene(primaryPane, 300, 300);
		primaryStage.setScene(scene);
		primaryStage.setResizable(false);
		primaryStage.setTitle("Circle control");
		primaryStage.show();
	}
	
	private class CirclePane extends StackPane {
		private Circle circle;
		
		public CirclePane() {
			circle = new Circle(50);
			circle.setFill(Color.RED);
			circle.setStroke(Color.BLACK);
			getChildren().add(circle);
		}
		
		public void enlarge() {
			circle.setRadius(circle.getRadius() + 2);
		}
		
		public void shrink() {
			circle.setRadius(circle.getRadius()>2 ? circle.getRadius()-2 : 0);
		}
		
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
